/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import net.sourceforge.kivu4j.utils.lang.CommonRuntimeException;

/**
 * 当客户端没有发送任何的请求数据（并非数据为空值或null值），但Action类的函数中有
 * 转换的动作（将请求的json数据转换成对象），此错误将会触发。
 * 
 *
 * @author Lucky Yang
 */
public class ActionRequestDataIsBlankException extends CommonRuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 9038546538889096083L;

	public ActionRequestDataIsBlankException() {
		super();
	}

}


