/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import java.util.ArrayList;
import java.util.List;


/**
 * 空的结果数据。返回给客户端向这样的：
 * 
 * <pre>
 * {
 * 	success:true,
 * 	start:0,
 *  limit:0,
 *  total:0,
 *  more:false,
 *  data:[]
 * }
 * </pre>
 * 
 * @author Lucky Yang
 */
public class ResponseEmpty extends ResponseData {
	/**
	 * 
	 */
	private static final long serialVersionUID = 6592049581349047349L;
	protected List<Object> data = new ArrayList<Object>(0);

	@Override
	public void doPagination() {
		// needn't to implement		
	}
	
	
}
